library(rgeos)
library(maptools)
library(rgdal)
behrmann <- '+proj=cea +lon_0=0 +lat_ts=30 +x_0=0 +y_0=0 +ellps=WGS84 +units=m +no_defs'

realms <- c("AT_main.shp", "IM.shp", "NA.shp", "NT.shp", "OC_AA.shp", "PA.shp")

realm <- "PA.shp"

setwd("~/Documents/Jeff/wwf_terr_ecos/")
filename <- paste(realm, "_empirical_age_overlap.csv", sep="")
dat <- read.csv(filename, header=T, stringsAsFactors=F)
setwd("~/Documents/Jeff/sympatry/rasters_w_updated_noct_maps/")

dists <- apply(dat, 1, function(row){
	range_i <- readShapeSpatial(row[1], repair = TRUE, force_ring = TRUE, delete_null_obj = TRUE, proj4string = CRS('+proj=longlat +datum=WGS84'))
	range_j <- readShapeSpatial(row[2], repair = TRUE, force_ring = TRUE, delete_null_obj = TRUE, proj4string = CRS('+proj=longlat +datum=WGS84'))
	range_i <- spTransform(range_i, CRS(behrmann))
	range_j <- spTransform(range_j, CRS(behrmann))
	e <- try(gDistance(range_i, range_j), silent=TRUE)
	if(class(e)=="try-error"){
		return(NA)
	}else{
		distance <- gDistance(range_i, range_j)
		return(distance)
	}
})

dat <- data.frame(dat, dists)
setwd("~/Documents/Jeff/sympatry")
#filename for output
outfile <- paste(realm, "_age_distance.csv", sep="")
write.table(dat, outfile, sep=",", row.names=F, quote=FALSE)
	

















